Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.core.type.filter
Class AbstractClassTestingTypeFilter

    java.lang.Object
      org.springframework.core.type.filter.AbstractClassTestingTypeFilter

All Implemented Interfaces:
  TypeFilter

Direct Known Subclasses:
  RegexPatternTypeFilter

    public abstract class AbstractClassTestingTypeFilter

extends Object
implements TypeFilter

Type filter that exposes a `ClassMetadata` object to subclasses, for class testing purposes.

Since:
  2.5
Author:
  Rod Johnson, Costin Leau, Juergen Hoeller
See Also:
  `match(org.springframework.core.type.ClassMetadata)`

Constructor Summary
`AbstractClassTestingTypeFilter()`

Method Summary
`protected abstract boolean` | `match(ClassMetadata metadata)` Determine a match based on the given ClassMetadata object.
`boolean` | `match(MetadataReader metadataReader, MetadataReaderFactory metadataReaderFactory)` Determine whether this filter matches for the class described by the given metadata.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractClassTestingTypeFilter

    public AbstractClassTestingTypeFilter()

Method Detail

### match

    public final boolean match(MetadataReader metadataReader,
                               MetadataReaderFactory metadataReaderFactory)
                        throws IOException

  Description copied from interface: `TypeFilter`
  Determine whether this filter matches for the class described by the given metadata.

  Specified by:
    `match` in interface `TypeFilter`
  Parameters:
    `metadataReader` - the metadata reader for the target class
    `metadataReaderFactory` - a factory for obtaining metadata readers for other classes (such as superclasses and interfaces)
  Returns:
    whether this filter matches
  Throws:
    `IOException` - in case of I/O failure when reading metadata

### match

    protected abstract boolean match(ClassMetadata metadata)

  Determine a match based on the given ClassMetadata object.

  Parameters:
    `metadata` - the ClassMetadata object
  Returns:
    whether this filter matches on the specified type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.